Summary


This article describes the requirements for installing InfoBurst. Requirements may vary based on intended usage. 



Recommendations


InfoBurst should be installed on a dedicated virtual server for ease of backup, update, and restoration.



Operating System


Microsoft Windows Server:
  • Versions 2012-2022 (x86/x64)


Microsoft .NET Framework:

  • InfoBurst Version 2021.1 and later: Microsoft .NET Framework 4.8 (installed automatically with InfoBurst installation)
  • InfoBurst Build 240 or earlier: Microsoft .NET Frameworks 3.5 SP1 and 4.7.2



Resources


Minimum requirements:

  • Dual CPU 2.5GHz
  • 8GB RAM
  • Disk
    • 1GB on installation partition for application files
    • 2GB on C partition for initial installation
    • 512MB+ free space at all times for system operation


Repository


InfoBurst can use SQLite, SQL Server or Oracle to host the InfoBurst database repository. The database/schema should be dedicated to InfoBurst for backup and recovery purposes.

SQL Server
  • Versions 2012-2019
  • Dedicated database
  • Autogrowth enabled
  • SQL Server Authentication or Windows Authentication
  • User privileges: DROP TABLE, CREATE TABLE, CREATE INDEX, ALTER TABLE


Oracle
  • Versions 11g-19c
  • Dedicated schema
  • No Oracle client is required. InfoBurst deploys and utilizes the Oracle Managed Data Access driver.
  • User privileges: CREATE TABLE, CREATE TRIGGER, CREATE SEQUENCE, CREATE INDEXTYPE, UNLIMITED TABLESPACE


Ports


Add inbound and outbound rules to Windows Firewall to allow access to port range 8550-8555.



Web Browser


The InfoBurst user interface requires an HTML5-compliant web browser.



SAP BusinessObjects


Versions

InfoBurst 2021.1 and later supports BI 4.2 and BI 4.3. InfoBurst Build 240 and earlier supports BI 4.2 and earlier.
  • See Platform Configurations (SAP BusinessObjects > Supported Versions) for details
  • Major version and support package updates are supported within 90 days of general release


Web Service Connectivity

InfoBurst communicates with SAP BusinessObjects via the Business Intelligence Platform Web Services (BIPRWS). BIPRSW is hosted in the BusinessObjects WebApplicationContainerServer (WACS). WACS must be running and its port (default port = 6405) open for successful connectivity from InfoBurst.


BIPRWS


To test for BIPRWS connectivity, open a browser tab and enter:


http://<BO_SERVER>:<PORT>/biprws


A successful connection will result in an XML response similar to the following:



Tomcat


Access to legacy Tomcat web services may be required in some circumstances. To test for Tomcat web services connectivity (default port = 8080), open a browser tab and enter:


http://<TOMCAT_SERVER>:<PORT>/dswsbobje/services/listServices



Crystal Reports

The BusinessObjects .NET SDK Runtime must be installed on the InfoBurst server for Crystal Reports processing. Build 240 requires .NET SDK Runtime BI 4.2 SP06. InfoBurst 2021.1 and later requires .NET SDK Runtime BI 4.2 SP08 and only support Crystal for BI 4.2 SP08 and later.



Tableau


Versions


Tableau Server 2021.2 and earlier


Hyper


InfoBurst Build 240 or earlier: Publication of the Hyper file format requires installation of the Microsoft Visual C++ Redistributable for Visual Studio 2015.



SQL Server Reporting Services


Versions

SQL Server Enterprise 2005-2016
  • SQL Server Express is not supported


See Also


Installation

System